
<template>
  <h1>Vue</h1>
  <ListItems :items="items" />
  <ListAdd :onAdd="onAdd" />
</template>


<script>
import ListItems from './components/ListItems.vue'
import ListAdd from './components/ListAdd.vue'


export default {
  name: 'App',

  components: {
    ListItems,
    ListAdd
  },

  data() {
    return {
      items: [{
        id: '1',
        name: 'first'
      }]
    }
  },

  methods: {
    onAdd(name) {
      this.items.push({
        id: +Date.now(),
        name
      })
    }
  }
}
</script>
<style>
</style>
 